//
//  USBHIDAppDelegate.h
//  USBHID
//
//  Created by Michael Dolinar on 12-05-02.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <IOKit/hid/IOHIDManager.h>

@interface USBHIDAppDelegate : NSObject <NSApplicationDelegate>

@property (assign) IBOutlet NSWindow *window;

// USB device added callback function
static void Handle_DeviceMatchingCallback(void *inContext, 
                                          IOReturn inResult, 
                                          void *inSender, 
                                          IOHIDDeviceRef inIOHIDDeviceRef);

// USB device removed callback function
static void Handle_DeviceRemovalCallback(void *inContext, 
                                         IOReturn inResult, 
                                         void *inSender, 
                                         IOHIDDeviceRef inIOHIDDeviceRef);

// Counts the number of devices in the device set (incudes all USB devices that match our dictionary)
static long USBDeviceCount(IOHIDManagerRef HIDManager);

@end
